<div id="login" fxLayout="column">

    <div id="login-form-wrapper" fxLayout="column" fxLayoutAlign="center center">

        <div id="login-form" [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">

            <div class="logo">
                <img src="assets/images/logos/logo.png" alt="logo">
            </div>

            <div class="title">LOGIN TO YOUR ACCOUNT</div>

            <form name="loginForm" [formGroup]="loginForm" novalidate #signInNgForm="ngForm">

                <mat-form-field appearance="outline">
                    <mat-label>Username</mat-label>
                    <input  value="admin" 
                    matInput formControlName="username">
                    <mat-icon matSuffix class="secondary-text">person</mat-icon>
                    <mat-error *ngIf="loginForm.get('username').hasError('required')">
                        Username is required
                    </mat-error>
                    <mat-error *ngIf="loginForm.get('username').hasError('minlength')">
                        Username must be at least 4 characters long
                    </mat-error>
                    <mat-error
                        *ngIf="!loginForm.get('username').hasError('required') &&
                                loginForm.get('username').hasError('username')">
                        Please enter a valid username address
                    </mat-error>

                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Password</mat-label>
                    <input value="12345678"
                    matInput type="password" formControlName="password">
                    <mat-icon matSuffix class="secondary-text">vpn_key</mat-icon>
                    <mat-error *ngIf="loginForm.get('password').hasError('required')">
                        Password is required
                    </mat-error>
                    <mat-error *ngIf="loginForm.get('password').hasError('minlength')">
                        Password must be at least 8 characters long
                    </mat-error>
                </mat-form-field>
<!--
                <div class="remember-forgot-password" fxLayout="row" fxLayout.xs="column"
                     fxLayoutAlign="space-between center">
                    <mat-checkbox class="remember-me" aria-label="Remember Me">
                        Remember Me
                    </mat-checkbox>

                    <a class="forgot-password" [routerLink]="'/pages/auth/forgot-password'">
                        Forgot Password?
                    </a>
                </div>
-->
                <mat-error *ngIf="bad_credentials">Wrong username or password!</mat-error>

                <button mat-raised-button color="accent" class="submit-button" aria-label="LOG IN"
                        [disabled]="loginForm.invalid"
                (click)="onLogin()"
                >
                    LOGIN
                </button>
            </form>





        </div>

    </div>

</div>
